Bug 191201 - CVE-2006-2271 SCTP ECNE chunk handling DoS
CVE-2006-2271 SCTP ECNE chunk handling DoS
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Neil Horman
Brian Brock
: Security
Depends On:
  Show dependency treegraph
Reported: 2006-05-09 14:37 EDT by Marcel Holtmann
Modified: 2007-11-30 17:07 EST (History)
4 users (show)

See Also:
Fixed In Version: RHSA-2006-0493
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-05-24 05:31:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Marcel Holtmann 2006-05-09 14:37:22 EDT
The ECNE chunk handling in Linux SCTP before 2.6.17 allows remote attackers to
cause a denial of service via an unexpected chunk when the session is in CLOSED

This issue hasn't been reproduced with RHEL4, but the vulnerable code is the
same as upstream.

The upstream fix can be found here:

Comment 5 Jason Baron 2006-05-22 15:07:56 EDT
committed in stream U4 build 36.1. A test kernel with this patch is available
from http://people.redhat.com/~jbaron/rhel4/
Comment 7 Red Hat Bugzilla 2006-05-24 05:31:21 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.